org.apache.jmeter.gui.action

## Class AbstractAction

- java.lang.Object
- - org.apache.jmeter.gui.action.AbstractAction

- All Implemented Interfaces:
    Command
  Direct Known Subclasses:
    AboutCommand, AbstractActionWithNoRunningTest, AddParent, AddThinkTimeBetweenEachStep, AddToTree, ApplyNamingConvention, ChangeParent, CheckDirty, Clear, CollapseExpand, CollapseExpandTreeBranch, CompileJSR223TestElements, Copy, CreateFunctionDialog, Cut, Duplicate, EditCommand, EnableComponent, ExportTransactionAndSamplerNames, Help, HtmlReportAction, LoggerPanelEnableDisable, LogLevelCommand, LookAndFeelCommand, Move, OpenLinkAction, ParseCurlCommandAction, Paste, RemoteStart, Remove, ResetSearchCommand, Save, SaveBeforeRun, SaveGraphics, SchematicView, SearchTreeCommand, SSLManagerCommand, Start, StopStoppables, UndoCommand, What, ZoomInOut

      public abstract class AbstractAction
      extends java.lang.Object
      implements Command

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractAction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doAction(java.awt.event.ActionEvent e)`
    `protected javax.swing.JFrame` | `getParentFrame(java.awt.event.ActionEvent event)`
    `protected boolean` | `popupCheckExistingFileListener(HashTree tree)`
    `protected void` | `popupShouldSave(java.awt.event.ActionEvent e)` Check if we should save before run

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.jmeter.gui.action.Command

      `getActionNames`

- - ### Constructor Detail

    - #### AbstractAction

          public AbstractAction()

  - ### Method Detail

    - #### doAction

          public void doAction(java.awt.event.ActionEvent e)
                        throws IllegalUserActionException

      Specified by:
        `doAction` in interface `Command`
      Throws:
        `IllegalUserActionException`
      See Also:
        `Command.doAction(ActionEvent)`

    - #### popupShouldSave

          protected void popupShouldSave(java.awt.event.ActionEvent e)

      Check if we should save before run
      Parameters:
        `e` - the event that led to the call of this method

    - #### popupCheckExistingFileListener

          protected boolean popupCheckExistingFileListener(HashTree tree)

      Parameters:
        `tree` - where check if listener has existing file
      Returns:
        true if continue test, false otherwise

    - #### getParentFrame

          protected final javax.swing.JFrame getParentFrame(java.awt.event.ActionEvent event)

      Parameters:
        `event` - `ActionEvent`
      Returns:
        parent Window

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.